<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.app.mapper.PaymentAccountApplymentMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="paymentAccountApplymentResultMap" type="org.springblade.modules.app.entity.PaymentAccountApplyment">
        <id column="id" property="id"/>
        <result column="channel" property="channel"/>
        <result column="user_id" property="userId"/>
        <result column="id_card" property="idCard"/>
        <result column="user_type" property="userType"/>
        <result column="true_name" property="trueName"/>
        <result column="mobile" property="mobile"/>
        <result column="bank" property="bank"/>
        <result column="bank_account" property="bankAccount"/>
        <result column="subject_type" property="subjectType"/>
        <result column="merchant_name" property="merchantName"/>
        <result column="license_number" property="licenseNumber"/>
        <result column="license_address" property="licenseAddress"/>
        <result column="business_name" property="businessName"/>
        <result column="business_period" property="businessPeriod"/>
        <result column="contact" property="contact"/>
        <result column="account_type" property="accountType"/>
        <result column="account_name" property="accountName"/>
        <result column="account_number" property="accountNumber"/>
        <result column="legal_name" property="legalName"/>
        <result column="legal_type" property="legalType"/>
        <result column="legal_number" property="legalNumber"/>
        <result column="legal_period" property="legalPeriod"/>
        <result column="contact_mobile" property="contactMobile"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="create_time" property="createTime"/>
        <result column="update_time" property="updateTime"/>
    </resultMap>


    <select id="selectPaymentAccountApplymentPage" resultMap="paymentAccountApplymentResultMap">
        select * from tb_payment_account_applyment where is_deleted = 0
    </select>

</mapper>
